Qt 5.7 | Qt 3D | C++ Classes | QTextureImage

Qt 5.7.1 Reference Documentation

# QTextureImage Class

(Qt3DRender::QTextureImage)

Encapsulates the necessary information to create an OpenGL texture image from an image source. More...

Header: | #include <QTextureImage>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | TextureImage
Inherits: | QAbstractTextureImage

- List of all members, including inherited members

## Public Types

enum | Status { None, Loading, Ready, Error }

## Properties

- source : QUrl
- status : const Status

- 3 properties inherited from Qt3DRender::QAbstractTextureImage
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QTextureImage(Qt3DCore::QNode *parent = nullptr)
QUrl | source() const
Status | status() const

- 3 public functions inherited from Qt3DRender::QAbstractTextureImage
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSource(const QUrl &source)

- 3 public slots inherited from Qt3DRender::QAbstractTextureImage
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sourceChanged(const QUrl &source)
void | statusChanged(Status status)

- 3 signals inherited from Qt3DRender::QAbstractTextureImage
- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)
void | setStatus(Status status)

- 2 protected functions inherited from Qt3DRender::QAbstractTextureImage
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Encapsulates the necessary information to create an OpenGL texture image from an image source.

It contains the necessary information mipmap level, layer, cube face and source URL to load at the proper place data into an OpenGL texture.

## Member Type Documentation

### enum QTextureImage::Status

This enumeration specifies the status values for texture image loading.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QTextureImage::None` | `0` | The texture image loading has not been started yet.
`Qt3DRender::QTextureImage::Loading` | `1` | The texture image loading has started, but not finised.
`Qt3DRender::QTextureImage::Ready` | `2` | The texture image loading has finished.
`Qt3DRender::QTextureImage::Error` | `3` | The texture image loading confronted an error.

## Property Documentation

### source : QUrl

This property holds the source url from which data for the texture image will be loaded.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

### status : const Status

This property holds the status of the texture image loading.

- TextureImage.None
- TextureImage.Loading
- TextureImage.Ready
- TextureImage.Error

Access functions:

Status | status() const

Notifier signal:

void | statusChanged(Status status)

## Member Function Documentation

### QTextureImage::QTextureImage(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTextureImage.

### `[protected]` void QTextureImage::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)

Sets the scene change event to change. change

### `[slot]` void QTextureImage::setSource(const QUrl &source)

Sets the source url of the texture image to source.

Note: This triggers a call to update()

Note: Setter function for property source.

See also source().

### `[protected]` void QTextureImage::setStatus(Status status)

Sets the status to status. status

See also status().

### QUrl QTextureImage::source() const

Returns the source url from which data for the texture image will be loaded.

Note: Getter function for property source.

See also setSource().

### Status QTextureImage::status() const

Returns the current status.

Note: Getter function for property status.

See also setStatus().